@echo off

REM Setup networks to toggle between
set "ssid1=<insert first SSID name here>"
set "ssid2=<insert second SSID name 

REM Search for currently connected network
REM If no network is connected, default is ssid1
netsh wlan show interfaces | findstr /r /c:"^ *SSID *: %ssid1%$" 1>nul

if %errorlevel% equ 0 (
	REM Connection was found to ssid1, toggle to ssid2
	echo Connected to SSID '%ssid1%'.
	set "ssid=%ssid2%"
) else if %errorlevel% equ 1 (
	REM Connection was found to ssid2, toggle to ssid1
	echo Disconnected or connected to SSID '%ssid2%'.
	set "ssid=%ssid1%"
) else (
	REM findstr error code 2
	echo findstr failed, double check batch file code
	goto end
)

REM Make sure new ssid is available before attempting connection
netsh wlan show networks | findstr /r /c:"^SSID [0-9]* *: %ssid%$" 1>nul
if %errorlevel% equ 0 (
	REM do nothing
) else (
	start notifu /m "SSID '%ssid%' was not found!" /p "Toggle Networks"
	goto end
)

REM Make sure profile is available for switching
netsh wlan connect name="%ssid%"
if %errorlevel% equ 0 (
	start notifu /m "Switching to SSID '%ssid%'." /p "Toggle Networks"
) else (
	start notifu /m "No profile available for '%ssid%' SSID!" /p "Toggle Networks" 
	goto end
)

:end
REM Debugging pause
REM pause